package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 是否获取部门（true.是，false.否）枚举类
*
* @author zxfei
*/
public enum HaveGetDeptEnum {
    是("true", "是"),
    否("false", "否");
    private String value;
    private String desc;

    HaveGetDeptEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static HaveGetDeptEnum getByValue(String value) {
        for (HaveGetDeptEnum haveGetDeptEnum : HaveGetDeptEnum.values()) {
            if (haveGetDeptEnum.getValue() == value) {
                return haveGetDeptEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (HaveGetDeptEnum item : HaveGetDeptEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}